# TODO

Section "ServerLayout"
  Identifier "X11 Server"
  Screen 0 "dGPU"
  InputDevice "xrdpMouse" "CorePointer"
  InputDevice "xrdpKeyboard" "CoreKeyboard"
EndSection

Section "ServerFlags"
  Option "DefaultServerLayout" "X11 Server"
  Option "DontVTSwitch" "on"
  Option "AutoAddDevices" "off"
EndSection

Section "Module"
  Load "xorgxrdp"
EndSection

Section "InputDevice"
  Identifier "xrdpKeyboard"
  Driver "xrdpkeyb"
EndSection

Section "InputDevice"
  Identifier "xrdpMouse"
  Driver "xrdpmouse"
EndSection

Section "Screen"
  Identifier "dGPU"
  Device "dGPU"
  Option "DPI" "96 x 96"
EndSection

Section "Device"
  Identifier "dGPU"
  Driver "nvidia"
  Option "UseDisplayDevice" "none"
  Option "ConnectToAcpid" "false"
#  BusID "PCI:0:8:0"
EndSection

Section "InputClass"
	Identifier	"xrdpKeyboard"
	MatchIsKeyboard "On"
	Option	"AutoRepeat" "350 30"
	Option "XkbModel"	"pc105"
	Option "XkbLayout"	"us,ru(winkeys)"
	Option "XkbVariant"	""
	Option "XkbOptions"	"grp:alt_shift_toggle,grp_led:scroll,keypad:pointerkeys,srvrkeys:none"
EndSection

Section "OutputClass"
    Identifier	"dGPU"
    MatchDriver	"nvidia"
	ModulePath	"/usr/lib/nvidia"
EndSection
